#25 fails put

Malfunction
closed-fixed
s3cmd (119)
5
2009-02-01
2009-01-30
No

Problem: AttributeError: 'S3Error' object has no attribute '_message'
S3cmd: 0.9.9-rc1
Python: 2.5.2 (r252:60911, Oct 5 2008, 19:24:49) [GCC 4.3.2]

Traceback (most recent call last):
File "/tmp/s3cmd-0.9.9-rc1/s3cmd", line 1516, in <module>
main()
File "/tmp/s3cmd-0.9.9-rc1/s3cmd", line 1493, in main
cmd_func(args)
File "/tmp/s3cmd-0.9.9-rc1/s3cmd", line 310, in cmd_object_put
response = s3.object_put(full_name, uri_final, extra_headers, extra_label = seq_label)
File "/tmp/s3cmd-0.9.9-rc1/S3/S3.py", line 203, in object_put
response = self.send_file(request, file, labels)
File "/tmp/s3cmd-0.9.9-rc1/S3/S3.py", line 495, in send_file
warning("Upload failed: %s (%s)" % (resource['uri'], S3Error(response)))
File "/tmp/s3cmd-0.9.9-rc1/S3/Exceptions.py", line 19, in __str__
return deunicodise(self.message)
File "/tmp/s3cmd-0.9.9-rc1/S3/Exceptions.py", line 26, in _get_message
return self._message
AttributeError: 'S3Error' object has no attribute '_message'

Discussion

  • Michal Ludvig

    Michal Ludvig - 2009-01-30
    • assigned_to: nobody --> ludvigm
     
  • Michal Ludvig

    Michal Ludvig - 2009-01-30

    Hi, I can't reproduce it with a simple:
    s3cmd put -v large.iso s3://s3tools-test/

    Even when I kill the upload connection it correctly prints the message:
    large.iso -> s3://s3tools-test/large.iso [1 of 1]
    495616 of 732815360 0% in 4s 120.10 kB/s failed
    WARNING: Upload failed: large.iso ((104, 'Connection reset by peer'))
    WARNING: Retrying on lower speed (throttle=0.01)
    WARNING: Waiting 3 sec...
    large.iso -> s3://s3tools-test/large.iso [1 of 1]
    4096 of 732815360 0% in 1s 3.75 kB/s failed
    WARNING: Upload failed: large.iso ((104, 'Connection reset by peer'))
    WARNING: Retrying on lower speed (throttle=0.05)
    WARNING: Waiting 6 sec...

    What command line arguments did you use?

     
  • Tony Thompson

    Tony Thompson - 2009-01-30

    command used: ./s3cmd put /content/videos --recursive <bucket>
    machine: Linux ubuntu 2.6.27-13-xen #1 SMP Sat Nov 8 23:29:40 UTC 2008 i686 GNU/Linux
    typical status: 5941067 of 5941067 100% in 0s 7.57 MB/s done

    failed sooner with rc2, error below

    Problem: AttributeError: 'S3Error' object has no attribute '_message'
    S3cmd: 0.9.9-rc2
    Python: 2.5.2 (r252:60911, Oct 5 2008, 19:24:49) [GCC 4.3.2]

    Traceback (most recent call last):
    File "./s3cmd", line 1541, in <module>
    main()
    File "./s3cmd", line 1518, in main
    cmd_func(args)
    File "./s3cmd", line 320, in cmd_object_put
    response = s3.object_put(full_name, uri_final, extra_headers, extra_label = seq_label)
    File "/tmp/s3cmd-0.9.9-rc2/S3/S3.py", line 203, in object_put
    response = self.send_file(request, file, labels)
    File "/tmp/s3cmd-0.9.9-rc2/S3/S3.py", line 495, in send_file
    warning("Upload failed: %s (%s)" % (resource['uri'], S3Error(response)))
    File "/tmp/s3cmd-0.9.9-rc2/S3/Exceptions.py", line 19, in __str__
    return deunicodise(self.message)
    File "/tmp/s3cmd-0.9.9-rc2/S3/Exceptions.py", line 26, in _get_message
    return self._message
    AttributeError: 'S3Error' object has no attribute '_message'

     
  • Michal Ludvig

    Michal Ludvig - 2009-01-30

    Can you run it with --debug and send me the full output? Capture it for example using:
    s3cmd put /content/videos --recursive s3://bucket/ 2> /tmp/s3cmd-put.log

    Once it fails email me /tmp/s3cmd-put.log to mludvig@logix.net.nz and I'll have a look. Don't edit it before sending please, I'll keep it private, don't worry.

     
  • Michal Ludvig

    Michal Ludvig - 2009-02-01

    Fixed in 0.9.9-rc3. Thanks for your excellent cooperation!

     
  • Michal Ludvig

    Michal Ludvig - 2009-02-01
    • labels: --> s3cmd
    • milestone: --> Malfunction
    • status: open --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks